;==========================================================================
;コマンド関連ファイル        (46)
;==========================================================================
;-| ボタン配置 |----------
[Remap]
x = x    ;投げ
y = y    ;白楼剣
z = z    ;エキストラ
a = a    ;弱攻撃
b = b    ;中攻撃
c = c    ;強攻撃
s = s    ;未使用

;AI スイッチ
[command]
name = "AI_00"
command = a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_01"
command = b,a,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_02"
command = c,a,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_03"
command = x,a,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_04"
command = y,a,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_05"
command = z,a,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_06"
command = s,a,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_07"
command = a,b,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_08"
command = a,c,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_09"
command = a,x,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_10"
command = a,y,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_11"
command = a,z,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_12"
command = a,s,a,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_13"
command = a,a,b,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_14"
command = a,a,c,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_15"
command = a,a,x,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_16"
command = a,a,y,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_17"
command = a,a,z,a,a,a,a,a,a,a,a,a,a
time = 0
[command]
name = "AI_18"
command = a,a,s,a,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_19"
command = a,a,a,b,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_20"
command = a,a,a,c,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_21"
command = a,a,a,x,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_22"
command = a,a,a,y,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_23"
command = a,a,a,z,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_24"
command = a,a,a,s,a,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_25"
command = a,a,a,a,b,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_26"
command = a,a,a,a,c,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_27"
command = a,a,a,a,x,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_28"
command = a,a,a,a,y,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_29"
command = a,a,a,a,z,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_30"
command = a,a,a,a,s,a,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_31"
command = a,a,a,a,a,b,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_32"
command = a,a,a,a,a,c,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_33"
command = a,a,a,a,a,x,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_34"
command = a,a,a,a,a,y,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_35"
command = a,a,a,a,a,z,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_36"
command = a,a,a,a,a,s,a,a,a,a,a,a,a
time = 0

[command]
name = "AI_37"
command = a,a,a,a,a,a,b,a,a,a,a,a,a
time = 0

[command]
name = "AI_38"
command = a,a,a,a,a,a,c,a,a,a,a,a,a
time = 0

[command]
name = "AI_39"
command = a,a,a,a,a,a,x,a,a,a,a,a,a
time = 0

[command]
name = "AI_40"
command = a,a,a,a,a,a,y,a,a,a,a,a,a
time = 0

[command]
name = "AI_41"
command = a,a,a,a,a,a,z,a,a,a,a,a,a
time = 0

[command]
name = "AI_42"
command = a,a,a,a,a,a,s,a,a,a,a,a,a
time = 0

[command]
name = "AI_43"
command = a,a,a,a,a,a,a,b,a,a,a,a,a
time = 0

[command]
name = "AI_44"
command = a,a,a,a,a,a,a,c,a,a,a,a,a
time = 0

[command]
name = "AI_45"
command = a,a,a,a,a,a,a,x,a,a,a,a,a
time = 0

[command]
name = "AI_46"
command = a,a,a,a,a,a,a,y,a,a,a,a,a
time = 0

[command]
name = "AI_47"
command = a,a,a,a,a,a,a,z,a,a,a,a,a
time = 0

[command]
name = "AI_48"
command = a,a,a,a,a,a,a,s,a,a,a,a,a
time = 0

[command]
name = "AI_49"
command = a,a,a,a,a,a,a,a,b,a,a,a,a
time = 0

;必殺技(強↑---↓弱)

[command]
name = "623a"
command = ~F,D,DF,a
time = 15

[command]
name = "623b"
command = ~F,D,DF,b
time = 15

[command]
name = "623c"
command = ~F,D,DF,c
time = 15

[command]
name = "236a"
command = ~D,DF,F,a
time = 15

[command]
name = "236b"
command = ~D,DF,F,b
time = 15

[command]
name = "236c"
command = ~D,DF,F,c
time = 15

[command]
name = "22a"
command = ~D,D,a
time = 15

[command]
name = "22b"
command = ~D,D,b
time = 15

[command]
name = "22c"
command = ~D,D,c
time = 15

[command]
name = "214a"
command = ~D,DB,B,a
time = 10

[command]
name = "214b"
command = ~D,DB,B,b
time = 10

[command]
name = "214c"
command = ~D,DB,B,c
time = 10

[command]
name = "632146z"
command = ~B,D,F,z
time = 20

[command]
name = "222z"
command = ~D,D,D,z
time = 20

[command]
name = "236c+z"
command = ~D,DF,F,c+z
time = 20

[command]
name = "222y"
command = ~D,D,D,y
time = 20

[Command]
name = "jump"
command = ~D, $U
time = 5;10

;-| ダッシュ関連 |-----------------------------------------------------------
[Command]
name = "FF";Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB";Required (do not remove)
command = B, B
time = 10

[Command]
Name    = "zz"
Command = ~z, z
Time    = 15

[Command]
name = "recovery";Required (do not remove)
command = a
time = 1

[Command]
name = "recovery";Required (do not remove)
command = b
time = 1

[Command]
name = "recovery";Required (do not remove)
command = c
time = 1

[Command]
name = "recovery";Required (do not remove)
command = x
time = 1

[Command]
name = "recovery";Required (do not remove)
command = y
time = 1

[Command]
name = "recovery";Required (do not remove)
command = z
time = 1

;-| 攻撃ボタン押しっぱなし |-----------------------------------------------

[Command]
name = "hold_a"
command = /$a
time = 1

[Command]
name = "hold_b"
command = /$b
time = 1

[Command]
name = "hold_c"
command = /$c
time = 1

[Command]
name = "hold_x"
command = /$x
time = 1

[Command]
name = "hold_z"
command = /$z
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "up"
command = U
time = 1

[Command]
name = "down"
command = D
time = 1

[Command]
name = "fwd"
command = F
time = 1

[Command]
name = "back"
command = B
time = 1

[Command]
name = "u"
command = $U
time = 1
;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup";Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

; Don't remove the following line. It's required by the CMD standard.
[Statedef -1];コマンド実行部分（優先順位が高いものを先に表記）
;===========================================================================
;　必殺技 Super
;===========================================================================
[State -1,一撃必殺「死剣」]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "236c+z"
triggerall = statetype != A
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1)) && power >= 3000
triggerall = enemy,life <= 400
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = stateno = 1200 && animelemtime(3) > 0
value = 1900

[State -1,人鬼「未来永劫斬」]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "632146z"
triggerall = statetype != A
triggerall = power >= 3000
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = palno = 12 || var(20)>0
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1510

[State -1,断迷剣「迷津慈航斬」]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "222z"
triggerall = statetype != A
triggerall = power >= 3000
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1410

[State -1,弦月斬a]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623a"
triggerall = statetype != A
triggerall = var(12)/10%10 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 265 || (stateno = [1010,1013]) || (stateno = [1000,1008])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1100



[State -1,弦月斬a 空中]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623a"
triggerall = statetype = A
triggerall = var(12)/10%10 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 || stateno = 620
trigger2 = movecontact || var(1) >= 100
trigger3 = stateno = 811 && anim=812
trigger3 = palno = 12 || var(20)>0
trigger4 = stateno=420 && animelemtime(4)>0
trigger4 = palno = 12 || var(20)>0
trigger5 = stateno = 710

trigger6 = (stateno = [1052,1053])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = [852,853]) && var(7)=1 && var(20)>0
value = 1101

[State -1,弦月斬b]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623b"
triggerall = statetype != A
triggerall = var(12)/10%10 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 265 || (stateno = [1010,1013]) || (stateno = [1000,1008])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1110

[State -1,弦月斬b空中]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623b"
triggerall = statetype = A
triggerall = var(12)/10%10 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 || stateno = 620
trigger2 = movecontact || var(1) >= 100
trigger3 = stateno = 811 && anim=812
trigger3 = palno = 12 || var(20)>0
trigger4 = palno = 12 || var(20)>0
trigger4 = stateno=420 && animelemtime(4)>0
trigger5 = stateno = 710

trigger6 = (stateno = [1052,1053])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = [852,853]) && var(7)=1 && var(20)>0
value = 1111

[State -1,炯眼剣a]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623a"
triggerall = statetype != A
triggerall = var(12)/10%10 = 1
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || (stateno = [1000,1008])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1700

[State -1,炯眼剣b]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623b"
triggerall = statetype != A
triggerall = var(12)/10%10 = 1
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || (stateno = [1000,1008])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1701

[State -1,残鬼刃a 鬼蹴]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623a"
triggerall = statetype != A
triggerall = var(12)/10%10 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || (stateno = [1000,1008])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1350

[State -1,残鬼刃b 残鉄]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623b"
triggerall = statetype != A
triggerall = var(12)/10%10 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || (stateno = [1000,1008])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1351

[State -1,転生剣「円心流転斬」]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623c"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(12)/10%10 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || (stateno = [1000,1008])
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1120

[State -1,空観剣「六根清浄斬」]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623c"
triggerall = power >= 2000
triggerall = statetype != A
triggerall = var(12)/10%10 = 1
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || (stateno = [1000,1008])
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1710

[State -1,断空剣「疾風桜花」]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623c"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(12)/10%10 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1355

[State -1,弦月斬EX空中]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "623c"
triggerall = power >= 1000
triggerall = statetype = A
triggerall = var(12)/10%10 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 || stateno = 620
trigger2 = movecontact || var(1) >= 100
trigger3 = stateno = 1101 || stateno = 1111 || stateno = 1100 || stateno = 1110 || (stateno = [1052,1053])
trigger3 = movecontact
trigger4 = stateno = 811 && anim=812
trigger4 = palno = 12 || var(20)>0
trigger5 = palno = 12 || var(20)>0
trigger5 = stateno=420 && animelemtime(4)>0
trigger6 = stateno = 710
trigger7 = (stateno = [852,853]) && var(7)=1
value = 1125

[State -1,半身,幽明の法,奇び半身a]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "22a"
triggerall = statetype != A
triggerall = var(12)/100%10 = 0 || (var(12)/100%10=1 && var(9)=0) || var(12)/100%10 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 850

[State -1,悪し魂,幽明の法b]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "22b"
triggerall = statetype != A
triggerall = var(12)/100%10 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1600

[State -1,悪し魂,幽明の法b]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "22b"
triggerall = statetype != A
triggerall = var(12)/100%10 = 1
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
triggerall = var(9) = 0
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1605

[State -1,奇び半身b]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "22b"
triggerall = statetype != A
triggerall = var(12)/100%10 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 851

[State -1,奇び半身a 空中]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "22a"
triggerall = statetype = A
triggerall = var(12)/100%10 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 || stateno = 620
trigger2 = movecontact || var(1) >= 100
trigger3 = stateno = 811 && anim=812
trigger3 = palno = 12 || var(20)>0
trigger4 = stateno=420 && animelemtime(4)>0
trigger4 = palno = 12 || var(20)>0
trigger5 = stateno = 710

trigger6 = stateno = 1101 || stateno = 1111 || stateno = 1100 || stateno = 1110 || (stateno = [1052,1053])
trigger6 = movecontact && var(20)>0
value = 852

[State -1,奇び半身b 空中]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "22b"
triggerall = statetype = A
triggerall = var(12)/100%10 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 || stateno = 620
trigger2 = movecontact || var(1) >= 100
trigger3 = stateno = 811 && anim=812
trigger3 = palno = 12 || var(20)>0
trigger4 = stateno=420 && animelemtime(4)>0
trigger4 = palno = 12 || var(20)>0
trigger5 = stateno = 710

trigger6 = stateno = 1101 || stateno = 1111 || stateno = 1100 || stateno = 1110 || (stateno = [1052,1053])
trigger6 = movecontact && var(20)>0
value = 853

[State -1,断命剣｢冥想斬｣]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "22c"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(12)/100%10 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger4 = movecontact
trigger5 = (stateno = 850) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno = 1600 || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1400

[State -1,魂魄「幽明求聞持聡明の法」]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "22c"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(12)/100%10 = 1
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
triggerall = var(9) = 0
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger4 = movecontact
trigger5 = (stateno = 850) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1650

[State -1,剣伎「絶対剣裁陣」]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "22c"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(12)/100%10 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
triggerall = var(9) = 0
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger4 = movecontact
trigger5 = (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1300

[State -1,射撃]
type = null;Changestate
;triggerall = var(59) = 0
triggerall = command = "236a"
triggerall = statetype != A
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
value = 260

[State -1, 燐気斬a]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "236a"
triggerall = statetype != A
triggerall = var(12)%10 = 1
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
value = 1750

[State -1, 燐気斬b]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "236b"
triggerall = statetype != A
triggerall = var(12)%10 = 1
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
value = 1751

[State -1, 燐気斬EX]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "236c"
triggerall = statetype != A
triggerall = var(12)%10 = 1
triggerall = power >= 1000
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
value = 1760

[State -1,結跏趺斬a]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "236a"
triggerall = statetype != A
triggerall = var(12)%10 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
value = 1800

[State -1,結跏趺斬b]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "236b"
triggerall = statetype != A
triggerall = var(12)%10 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || stateno=1055
trigger7 = (var(7) = 1) && var(20)>0
value = 1810

[State -1,断霊剣「成仏得脱斬」]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "236c"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(12)%10 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1800,1810]) || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
value = 1850

[State -1,反射下界斬a&b]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "236a" || command = "236b"
triggerall = statetype != A
triggerall = var(12)%10 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || stateno=1055; || (stateno = [1800,1810])
trigger7 = (var(7) = 1) && var(20)>0
value = 1200

[State -1,反射下界斬c]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "236c"
triggerall = power >= 500
triggerall = statetype != A
triggerall = var(12)%10 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || stateno=1055; || (stateno = [1800,1810])
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1201

[State -1, 生死流転斬]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "214a"
triggerall = statetype != A
triggerall = var(12)/1000 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || stateno = 1705 || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810])
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1000

[State -1, 生死流転b]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "214b"
triggerall = statetype != A
triggerall = var(12)/1000 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || stateno = 1705 || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810])
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1005

[State -1,心抄斬a]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "214a"
triggerall = statetype != A
triggerall = var(12)/1000 = 1
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || stateno = 1705
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || (stateno = [1350,1351])
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1010

[State -1,心抄斬b]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "214b"
triggerall = statetype != A
triggerall = var(12)/1000 = 1
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || stateno = 1705
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || (stateno = [1350,1351])
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1011

[State -1, 頭上花剪斬a]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "214a"
triggerall = statetype != A
triggerall = var(12)/1000 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || stateno = 1705 || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810])
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1050

[State -1, 頭上花剪斬b]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "214b"
triggerall = statetype != A
triggerall = var(12)/1000 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12 || var(20)>0

trigger6 = stateno = 1110 || stateno = 265 || stateno = 1705 || (stateno = [1350,1351])
trigger6 = movecontact && var(20)>0
trigger7 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810])
trigger7 = (var(7) = 1) && var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 1051

[State -1,人符｢現世斬｣]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "214c"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(12)/1000 = 0
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1000,1002]) || stateno = 1705 || (stateno = [1005,1008]) || (stateno = [1350,1351])
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810])
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1500

[State -1, 剣伎「桜花閃々」]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "214c"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(12)/1000 = 1
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || (stateno = [1350,1351])
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1550

[State -1, 頭上花剪斬EX]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "214c"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(12)/1000 = 2
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,203]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 1110 || stateno = 265 || stateno = 1705 || (stateno = [1350,1351]); || (stateno = 1055;,1002]) || (stateno = [1005,1008])
trigger4 = movecontact
trigger5 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger5 = (var(7) = 1)
trigger6 = stateno = 700 || stateno = [100,101]
trigger7 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger7 = palno = 12 || var(20)>0
trigger8 = stateno = 1200 && animelemtime(3) > 0
value = 1060
;===================================================================
[State -1,気質発現・蒼天]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "222y"
triggerall = statetype != A
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
trigger5 = (stateno = 801 && time>30) || (stateno=802 && time>35)
trigger5 = palno = 12
value = 900

[State -1,白楼剣]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "y"
triggerall = statetype != A
triggerall = power >= 1000
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = (stateno=200 && animelemtime(4)>0) ;|| (stateno=203 && animelemtime(5)>0)
trigger3 = (stateno=201 && animelemtime(7)>0) || (stateno=202 && animelemtime(8)>0)
trigger4 = stateno=210 || stateno=220 || stateno=430
trigger4 = animelemtime(5)>0
trigger5 = stateno=220 || stateno=241 || stateno=400
trigger5 = animelemtime(4)>0
trigger6 = (stateno=221 && animelemtime(9)>0)|| (stateno=240 && animelemtime(7)>0)
trigger7 = stateno = 250 && animelemtime(8)>0
trigger8 = stateno = 410 && animelemtime(3)>0
trigger9 = (stateno = 801 && time>30) || (stateno=802 && time>35) || stateno = 622
;trigger10 = stateno=850 && animelemtime(6)>0
trigger10 = stateno = 1110 || stateno = 265 || (stateno = [1010,1013]) || stateno = 1705 || (stateno = [1000,1008]) || (stateno = [1350,1351])
trigger10 = movecontact && var(20)>0
trigger11 = (stateno = 1600) || (stateno = [850,851]) || (stateno = [1750,1751]) || (stateno = [1800,1810]) || stateno=1055
trigger11 = (var(7) = 1) && var(20)>0
trigger12 = stateno = 1200 && animelemtime(3) > 0 && var(20)>0
value = 700

[State -1,白楼剣空中]
type = ChangeState
triggerall = var(59) = 0
triggerall = command = "y"
triggerall = statetype = A
triggerall = power >= 1000
triggerall = var(15) >= floor(100 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = stateno=600 || stateno=621; || stateno=620
trigger2 = animelemtime(5)>0
trigger3 = stateno=610 && animelemtime(4)>0
trigger4 = stateno = 811 && anim=812
trigger5 = stateno=420 && animelemtime(4)>0
trigger6 = stateno=620 && animelemtime(6)>0
;trigger13 = stateno = 1100 && animelem = 5,>0
;trigger14 = stateno= 420 && animelemtime(4)>0
trigger7 = stateno = 1101 || stateno = 1111 || stateno = 1100 || stateno = 1110 || (stateno = [1052,1053])
trigger7 = movecontact && var(20)>0
trigger8 = (stateno = [852,853]) && var(7)=1 && var(20)>0
value = 710

[State -1,回避結界]
Type = ChangeState
Value = 720
triggerall = var(59) = 0
TriggerAll = Var(15) > 0 && Var(17) < 5
TriggerAll = Command = "zz"
Trigger1   = (StateNo = 151) || (StateNo = 153) || (StateNo = 155)

[State -1,ハイジャンプ]
type = ChangeState
triggerall = var(59) = 0
triggerall = command = "jump" || (command="up"&&command="hold_z")
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
value = 41

[State -1,ジャンプ]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "u"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,202]) || stateno = 210 || stateno = 220 || (stateno = [240,241]) || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 430
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
value = 40

[State -1,2段ジャンプ]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "holdup" && var(19) <= 1
triggerall = statetype = A
triggerall = var(1)%100 < 10
trigger1 = ctrl
trigger1 = stateno = 110 || stateno = 115 || stateno = 120 || stateno = 132 || stateno = 140 || stateno = 155 || stateno = 5210 || stateno = 50 ;&& vel y >= 0
trigger2 = stateno = 600 || stateno = 610 || stateno = 620
trigger2 = movecontact || var(1) >= 100
value = 45

[State -1,前方ダッシュ]
type = ChangeState
value = 100
triggerall = var(59) = 0
trigger1 = command = "FF" || (command="fwd"&&command="hold_z") || (command="holdfwd"&&command="z")
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger1 = stateno != [100,101]

[State -1,バックステップ]
type = ChangeState
value = 105
triggerall = var(59) = 0
trigger1 = command = "BB" || (command="back"&&command="hold_z") || (command="holdback"&&command="z")
trigger1 = statetype = S
trigger1 = ctrl = 1

[State -1,空中前ダッシュ]
type = ChangeState
value = 110
triggerall = var(59) = 0
triggerall = command = "FF" || (command="fwd"&&command="hold_z") || (command="holdfwd"&&command="z")
triggerall = statetype = A
triggerall = var(1)%10 < 2
trigger1 = ctrl = 1
trigger2 = stateno = 600 || stateno = 610 || stateno = 620
trigger2 = movecontact || var(1) >= 100

[State -1,空中後ダッシュ]
type = ChangeState
value = 115
triggerall = var(59) = 0
triggerall = command = "BB" || (command="back"&&command="hold_z") || (command="holdback"&&command="z")
triggerall = statetype = A
triggerall = var(1)%10 < 2
trigger1 = ctrl = 1
trigger2 = stateno = 600 || stateno = 610 || stateno = 620
trigger2 = movecontact || var(1) >= 100
;===========================================================================
;　通常技 Nomal
;===========================================================================
[State -1,投げ]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "x"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = var(15) >= floor(65 * ifelse(var(20)>0,0.5,1))
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 700 || stateno = [100,101]
value = 800

[State -1, 空中投げ]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "x"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = p2statetype = A
TriggerAll = P2BodyDist X = [-10,25]
TriggerAll = P2BodyDist Y < 30
triggerall = statetype = A
triggerall = var(15) >= floor(65 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 || stateno = 620
trigger2 = movehit
value = 810

[State -1,投げ追撃];ステート側で管理
type = null;Changestate
triggerall = var(59) = 0
triggerall = command = "hold_x"
triggerall = var(15) >= floor(65 * ifelse(var(20)>0,0.5,1))
trigger1 = time > 32
trigger1 = stateno = 801
trigger2 = stateno = 802
trigger1 = time >= 35
value = 420

[State -1,弱]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = var(15) >= floor(15 * ifelse(var(20)>0,0.5,1))
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 410 && movecontact
trigger3 = stateno = 200 && command = "holdback" && movecontact
trigger4 = var(10) < 2
trigger4 = movecontact && stateno = 200
trigger5 = stateno = 200 && animelemtime(4)>0 && !movecontact
trigger6 = stateno = 700 || stateno = [100,101]
value = 200

[State -1, 弱チェーン1]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = var(15) >= floor(40 * ifelse(var(20)>0,0.5,1))
trigger1 = movecontact && stateno = 200
trigger1 = var(10) = 2
value = 201

[State -1, 弱チェーン2]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = var(15) >= floor(40 * ifelse(var(20)>0,0.5,1))
trigger1 = movecontact && stateno = 201
trigger1 = var(10) = 3
value = 202

[State -1, 弱チェーン3]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = var(15) >= floor(65 * ifelse(var(20)>0,0.5,1))
trigger1 = movecontact && stateno = 202
trigger1 = var(10) = 4
value = 203

[State -1,中]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = command != "holdfwd" && command != "holdback"
triggerall = command != "holddown"
triggerall = var(15) >= floor(40 * ifelse(var(20)>0,0.5,1))
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 200 || stateno = 410
trigger2 = movecontact
trigger3 = stateno = 700 || stateno = [100,101]
value = 210

[State -1,横中]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = command = "holdfwd"
triggerall = command != "holddown" && command != "holdback"
triggerall = var(15) >= floor(40 * ifelse(var(20)>0,0.5,1))
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno = 210 || stateno = 200 || stateno = 410
trigger2 = movecontact
trigger3 = stateno = 700 || stateno = [100,101]
value = 220

[State -1, 横中チェーン]
type = ChangeState
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = command = "holdfwd"
triggerall = var(15) >= floor(40 * ifelse(var(20)>0,0.5,1))
trigger1 = movecontact && stateno = 220
value = 221

[State -1,強]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = statetype != A
triggerall = var(15) >= 65
trigger1 = ctrl = 1
trigger2 = stateno = 200 || stateno = 210 || stateno = 220
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
value = 240

[State -1,後ろ中]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = command = "holdback"
triggerall = command != "holdfwd" && command != "holddown"
triggerall = var(15) >= floor(65 * ifelse(var(20)>0,0.5,1))
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 400
trigger2 = movecontact
trigger3 = stateno = 700 || stateno = [100,101]
value = 250

[State -1,屈み弱]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = var(15) >= floor(15 * ifelse(var(20)>0,0.5,1))
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 410
trigger2 = movecontact
trigger3 = stateno = 410 && animelemtime(3)>0 && !movecontact
trigger4 = stateno = 700 || stateno = [100,101]
value = 410

[State -1,屈み中]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = var(15) >= floor(40 * ifelse(var(20)>0,0.5,1))
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 410
trigger2 = movecontact
trigger3 = stateno = 700 || stateno = [100,101]
value = 400

[State -1,屈み強]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = var(15) >= floor(65 * ifelse(var(20)>0,0.5,1))
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 || stateno = 210 || stateno = 220 || stateno = 250
trigger2 = movecontact
trigger3 = stateno = 400 || stateno = 410 || stateno = 241
trigger3 = movecontact
trigger4 = stateno = 700 || stateno = [100,101]
value = 430

[State -1,空中弱]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "a"
triggerall = statetype = A
triggerall = var(15) >= floor(15 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl = 1
trigger2 = stateno = 600 || stateno = 610 || stateno = 620
trigger2 = movecontact
trigger3 = StateNo = 600 && !MoveContact && AnimElemTime(5) > 0
trigger4 = stateno = 710
value = 600

[State -1,空中強]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "b"
triggerall = statetype = A
triggerall = var(15) >= floor(40 * ifelse(var(20)>0,0.5,1))
trigger1 = ctrl = 1
trigger2 = stateno = 600 || stateno = 620
trigger2 = movecontact
trigger3 = StateNo = 600 && !MoveContact && AnimElemTime(5) > 0
trigger4 = stateno = 710
value = 610

[State -1,空中強]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = var(15) >= floor(65 * ifelse(var(20)>0,0.5,1))
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610
trigger2 = movecontact
trigger3 = StateNo = 600 && !MoveContact && AnimElemTime(5) > 0
trigger4 = stateno = 710
value = 620

[State -1,空中強]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = var(15) >= floor(65 * ifelse(var(20)>0,0.5,1))
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 || stateno = 620
trigger2 = movecontact
trigger3 = StateNo = 600 && !MoveContact && AnimElemTime(5) > 0
trigger4 = stateno = 710
value = 621

[State -1,挑発]
type = Changestate
triggerall = var(59) = 0
triggerall = command = "start"
triggerall = statetype != A
trigger1 = ctrl = 1 || stateno = 700 || stateno = [100,101]
value = 195
;===========================================================================
